#include<bits/stdc++.h>
using namespace std;
int main(){
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int n,m;
	cin>>n>>m;
	if (n<m) swap(n,m);
	long long ans=2*n*m;
	int a=n,b=m;
	n--;
	while(n>1){
		ans+=n*m;
		n--;
	}
	while(m>1){
		ans+=m*a;
		m--;
	}
	if (a==1 && b==1) cout<<1;
	else cout<<ans;
	return 0;
}